// This file is part of Pushup Buddy.
// Copyright 2010 Fredrik Portstrom
//
// Pushup Buddy is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Pushup Buddy is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Pushup Buddy. If not, see
// <http://www.gnu.org/licenses/>.

package org.example.pushupbuddy;

import android.database.Cursor;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

public class WorkoutActivity extends BaseWorkoutActivity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        setContentView(R.layout.workout);
        super.onCreate(savedInstanceState);
	workoutId = getIntent().getLongExtra("org.example.pushupbuddy.Id", 0);
	Database database = new Database(this);
	Cursor cursor = database.query("SELECT data FROM workouts WHERE _id = " + workoutId);
	cursor.moveToNext();
	Workout workout = new Workout();
	workout.unserialize(cursor.getString(0));
	cursor.close();
	database.close();
	update(workout);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
	getMenuInflater().inflate(R.menu.workout, menu);
	return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
	removeWorkout();
	return true;
    }
}
